{{define "mosaics"}}

<button id="browseMosaicsBtn" onclick="browseMosaicsClick(); populateMosaics({{.UserID}})">Meine Mosaike</button>
<button id="makeNewMosaicBtn" onclick="makeNewMosaicClick(); populateMotiveOptions( {{.UserID}} )">Neues Mosaik
  erstellen</button>

<div id="newMosaicDiv" class="popup-form hidden">
  <form action="/picx/makeMosaic" method="post">
    <label for="mosaicName">Name:</label>
    <input type="text" name="mosaicName" id="mosaicName" required>
    <label for="pool">Benutze Pool:</label>
    <select name="pool" id="pool">
      {{range .Pools}}
      <option value="{{.IDHex}}">{{.Name}}, {{.Size}}px</option>
      {{end}}
    </select>
    <label for="motives">Motiv:</label>
    <select name="mosaicMotivePicID" id="mosaicMotivePicID"></select>
    <label for="n">Wähle aus N besten Kacheln:</label>
    <input type="number" name="n" id="n" required min="1" required value="10">

    <input type="submit" value="Mosaik erstellen">
  </form>
</div>

<div id="browseMosaicsDiv" class="popup-form hidden">

</div>

{{end}}